// GetIpDlg.cpp : t@C
//

#include "stdafx.h"
#include "WinWol.h"
#include "GetIpDlg.h"
#include "afxdialogex.h"


// CGetIpDlg _CAO

IMPLEMENT_DYNAMIC(CGetIpDlg, CDialog)

CGetIpDlg::CGetIpDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CGetIpDlg::IDD, pParent)
	, m_SrchHostName(_T(""))
	, m_SrchIpAddr(_T(""))
{
	m_Type = 0;
}

CGetIpDlg::~CGetIpDlg()
{
}

void	CGetIpDlg::UpdateIpAddr(void)
{
	UpdateData(TRUE);

	struct hostent *hp;

	hp = gethostbyname((LPCTSTR)m_SrchHostName);
	if (!hp) {
		CString	str;
		str.LoadString(IDS_STRING_IP_ADDRESS_NOT_FOUND);
		MessageBox(str);
		return;
	}
	m_SrchIpAddr = inet_ntoa(*((struct in_addr *)hp->h_addr));
}

void CGetIpDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT_SRCH_HOSTNAME, m_SrchHostName);
	DDX_Text(pDX, IDC_EDIT_SRCH_IP_ADDR, m_SrchIpAddr);
}


BEGIN_MESSAGE_MAP(CGetIpDlg, CDialog)
	ON_BN_CLICKED(IDC_BUTTON_GET_IP, &CGetIpDlg::OnBnClickedButtonGetIp)
END_MESSAGE_MAP()


// CGetIpDlg bZ[W nh[


BOOL CGetIpDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// TODO:  ɏǉĂ
	UpdateData(FALSE);

	CWnd	*pWnd = GetDlgItem(IDOK);
	if (pWnd) {
		if (m_Type) {
			pWnd->ShowWindow(SW_SHOW);
		} else {
			pWnd->ShowWindow(SW_HIDE);
			pWnd = GetDlgItem(IDCANCEL);
			if (pWnd) {
				CString	str;
				str.LoadString(IDS_STRING_CLOSE);
				pWnd->SetWindowText(str);
			}
		}
	}
	return TRUE;  // return TRUE unless you set the focus to a control
	// O : OCX vpeB y[W͕K FALSE Ԃ܂B
}


void CGetIpDlg::OnOK()
{
	// TODO: ɓȃR[hǉ邩A͊{NXĂяoĂB
	UpdateIpAddr();

	CDialog::OnOK();
}


void CGetIpDlg::OnBnClickedButtonGetIp()
{
	// TODO: ɃRg[ʒmnh[ R[hǉ܂B
	UpdateIpAddr();
	
	UpdateData(FALSE);
}
